Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp
Class WSRPExceptionFactory

    java.lang.Object
      org.jboss.portal.wsrp.WSRPExceptionFactory

    public class WSRPExceptionFactory

extends java.lang.Object

Since:
  2.6
Version:
  $Revision: 9360 $
Author:
  Chris Laprun

Field Summary
`static java.lang.String` | `ACCESS_DENIED`
`static java.lang.String` | `INCONSISTENT_PARAMETERS`
`static java.lang.String` | `INVALID_COOKIE`
`static java.lang.String` | `INVALID_HANDLE`
`static java.lang.String` | `INVALID_REGISTRATION`
`static java.lang.String` | `INVALID_SESSION`
`static java.lang.String` | `INVALID_USER_CATEGORY`
`static java.lang.String` | `MISSING_PARAMETERS`
`static java.lang.String` | `OPERATION_FAILED`
`static java.lang.String` | `PORTLET_STATE_CHANGE_REQUIRED`
`static java.lang.String` | `UNSUPPORTED_LOCALE`
`static java.lang.String` | `UNSUPPORTED_MIME_TYPE`
`static java.lang.String` | `UNSUPPORTED_MODE`
`static java.lang.String` | `UNSUPPORTED_WINDOW_STATE`

Method Summary
`static void` | `throwMissingParametersFaultIfValueIsMissing(java.lang.Object valueToCheck, java.lang.String valueName, java.lang.String context)`
`static void` | `throwOperationFailedFaultIfValueIsMissing(java.lang.Object valueToCheck, java.lang.String valueName)`
`static javax.xml.rpc.soap.SOAPFaultException` | `throwSOAPFaultException(java.lang.String errorCode, java.lang.String message, java.lang.Throwable cause)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCESS_DENIED

    public static final java.lang.String ACCESS_DENIED

See Also:
  Constant Field Values

### INCONSISTENT_PARAMETERS

    public static final java.lang.String INCONSISTENT_PARAMETERS

See Also:
  Constant Field Values

### INVALID_REGISTRATION

    public static final java.lang.String INVALID_REGISTRATION

See Also:
  Constant Field Values

### INVALID_COOKIE

    public static final java.lang.String INVALID_COOKIE

See Also:
  Constant Field Values

### INVALID_HANDLE

    public static final java.lang.String INVALID_HANDLE

See Also:
  Constant Field Values

### INVALID_SESSION

    public static final java.lang.String INVALID_SESSION

See Also:
  Constant Field Values

### INVALID_USER_CATEGORY

    public static final java.lang.String INVALID_USER_CATEGORY

See Also:
  Constant Field Values

### MISSING_PARAMETERS

    public static final java.lang.String MISSING_PARAMETERS

See Also:
  Constant Field Values

### OPERATION_FAILED

    public static final java.lang.String OPERATION_FAILED

See Also:
  Constant Field Values

### PORTLET_STATE_CHANGE_REQUIRED

    public static final java.lang.String PORTLET_STATE_CHANGE_REQUIRED

See Also:
  Constant Field Values

### UNSUPPORTED_LOCALE

    public static final java.lang.String UNSUPPORTED_LOCALE

See Also:
  Constant Field Values

### UNSUPPORTED_MIME_TYPE

    public static final java.lang.String UNSUPPORTED_MIME_TYPE

See Also:
  Constant Field Values

### UNSUPPORTED_MODE

    public static final java.lang.String UNSUPPORTED_MODE

See Also:
  Constant Field Values

### UNSUPPORTED_WINDOW_STATE

    public static final java.lang.String UNSUPPORTED_WINDOW_STATE

See Also:
  Constant Field Values

Method Detail

### throwMissingParametersFaultIfValueIsMissing

    public static void throwMissingParametersFaultIfValueIsMissing(java.lang.Object valueToCheck,
                                                                   java.lang.String valueName,
                                                                   java.lang.String context)
                                                            throws javax.xml.rpc.soap.SOAPFaultException

  Throws:
    `javax.xml.rpc.soap.SOAPFaultException`

### throwOperationFailedFaultIfValueIsMissing

    public static void throwOperationFailedFaultIfValueIsMissing(java.lang.Object valueToCheck,
                                                                 java.lang.String valueName)
                                                          throws javax.xml.rpc.soap.SOAPFaultException

  Throws:
    `javax.xml.rpc.soap.SOAPFaultException`

### throwSOAPFaultException

    public static javax.xml.rpc.soap.SOAPFaultException throwSOAPFaultException(java.lang.String errorCode,
                                                                                java.lang.String message,
                                                                                java.lang.Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD